%define builtin_release_version 2.1AS
%define builtin_release_name Centos
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

Summary: The Centos release file.
Name: centos-release-as
Version: %{real_release_version}
Release: 4
License: GPL
Group: System Environment/Base
#Source: %{name}-%{builtin_release_version}.tar.gz
Source: redhat-release-as-2.1AS.tar.gz
Source100: COPYING
Source101: README
Source102: RELEASE-NOTES
Source103: RPM-GPG-KEY
BuildArchitectures: noarch
Obsoletes: rawhide-release
BuildRoot: %{_tmppath}/%{name}root
Provides: redhat-release
Provides: centos-release

%description
The centos-release package identifies the release of Centos.


%prep
#%setup -q -n %{name}-%{version}
%setup -q -n redhat-release-as-2.1AS
rm -v *.ja
cp %{SOURCE100} COPYING
cp %{SOURCE101} README-i386
cp %{SOURCE102} RELEASE-NOTES-i386
cp %{SOURCE103} RPM-GPG-KEY

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Red Hat Linux Advanced Server release %{real_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
echo "CentOS Linux Advanced Server release %{real_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/centos-release
echo "CentOS Linux Advanced Server release %{real_release_version}/\m (%{real_release_name})" > $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1, rawhide-release < 20011001-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/centos-release
%attr(0644,root,root) /etc/redhat-release
%doc R* 
%doc COPYING autorun-template
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
